/***************************************************************************
                          ksmsprefs.h  -  description
                             -------------------
    begin                : Wed Nov 6 2002
    copyright            : (C) 2002 by Michael Schuerig
    email                : michael@schuerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KSMSPREFS_H
#define KSMSPREFS_H

#include <qstring.h>
#include "kprefs.h"


/**
 * @author Michael Schuerig
 */
class KSmsPrefs : public KPrefs {
public: 
    ~KSmsPrefs();

    static KSmsPrefs* instance();

    QString phone_device;
    QString phone_baudrate;
    int     phone_timeout;
    QString phone_smsStore;
    QString phone_initString;
    QString phone_countryPrefix;
    
    bool    ui_dockable;
    bool    ui_docked;
    bool    ui_showPhoneNumber;
    QString ui_sentMessageTemplate;
    QString ui_receivedMessageTemplate;
    QString ui_clipMessageTemplate;

private:
    KSmsPrefs();
    KSmsPrefs( const KSmsPrefs& ); // not implemented
    KSmsPrefs& operator=( const KSmsPrefs& ); // not implemented
};

#endif
