/***************************************************************************
                          ksmsprefsdialog.h  -  description
                             -------------------
    begin                : Fri Nov 15 2002
    copyright            : (C) 2002 by Michael Schuerig
    email                : michael@schuerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KSMSPREFSDIALOG_H
#define KSMSPREFSDIALOG_H

#include "kprefsdialog.h"

/**
 * @author Michael Schuerig
 */
class KSmsPrefsDialog : public KPrefsDialog {
Q_OBJECT
public: 
    KSmsPrefsDialog( QWidget* parent = 0, const char* name = 0, bool modal = false);
    ~KSmsPrefsDialog();

private:
    void setupPhoneTab();
    void setupGuiTab();

    KPrefsWidString*       phone_device_;
    KPrefsWidStringChoice* phone_baudrate_;
    KPrefsWidInt*          phone_timeout_;
    KPrefsWidString*       phone_smsStore_;
    KPrefsWidString*       phone_initString_;
    KPrefsWidString*       phone_countryPrefix_;
    KPrefsWidBool*         ui_dockable_;
    KPrefsWidBool*         ui_docked_;
    KPrefsWidBool*         ui_showPhoneNumber_;
};

#endif
