/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Thu Oct 24 16:25:53 CEST 2002
    copyright            : (C) 2002 by Michael Schuerig
    email                : michael@schuerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include "ksmsapp.h"


static const char *description = I18N_NOOP("KSms - send and archive SMS messages.");

static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{
    //### constants
    KAboutData aboutData( "ksms", I18N_NOOP("KSms"),
                          VERSION, description, KAboutData::License_GPL,
                          "(c) 2002, Michael Schuerig", 0, 0,                   //### Umlaut
                          "michael@schuerig.de" );
    aboutData.addAuthor( "Michael Schuerig", 0,                                 //### Umlaut
                         "michael@schuerig.de",
                         "http://www.schuerig.de/michael" );
    aboutData.addCredit( "Peter Hofmann",
                         I18N_NOOP("Who has spared me all the dirty work by writing gsmlib."),
                         0,
                         "http://www.pxh.de/fs/gsmlib/index.html" );
    aboutData.addCredit( "Carsten Pfeiffer",
                         I18N_NOOP("Who was so kind to answer lots of my beginner's questions on kde-devel.") );

    KCmdLineArgs::init( argc, argv, &aboutData );
    KCmdLineArgs::addCmdLineOptions( options );
    KSmsApp app;

//    if ( app.isRestored() ) {
//        RESTORE( KSmsMsg );
//    }
//    else {
//        app.connect( &app, SIGNAL(lastWindowClosed()), &app, SLOT(quit()) );
        app.showMainWindow();
//    }

    return app.exec();
}
