/***************************************************************************
                          messageformatter.h  -  description
                             -------------------
    begin                : Mon Nov 18 2002
    copyright            : (C) 2002 by Michael Schuerig
    email                : michael@schuerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MESSAGEFORMATTER_H
#define MESSAGEFORMATTER_H

#include <qstring.h>

class Message;


/**
 * @author Michael Schuerig
 */
class MessageFormatter {
public: 
    MessageFormatter( const QString& msgTemplate, const QString& lineSep = "<br>" );
    ~MessageFormatter();

    const QString format( const Message* msg ) const;

private:
    const QString msgTemplate_;
    const QString lineSep_;
};

#endif
