/***************************************************************************
                          progresscallback.h  -  description
                             -------------------
    begin                : Sat Nov 9 2002
    copyright            : (C) 2002 by Michael Schuerig
    email                : michael@schuerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PROGRESSCALLBACK_H
#define PROGRESSCALLBACK_H


/**
  *@author Michael Schuerig
  */

class ProgressCallback {
public:
    ProgressCallback( unsigned long interval = 0 );
    virtual ~ProgressCallback() = 0;
    virtual void progress( unsigned long current, unsigned long max ) = 0;
    virtual unsigned long interval() const;
    
private:
    unsigned long interval_;
};

#endif
