/***************************************************************************
                          senderfactory.h  -  description
                             -------------------
    begin                : Tue Nov 5 2002
    copyright            : (C) 2002 by Michael Schuerig
    email                : michael@schuerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SENDERFACTORY_H
#define SENDERFACTORY_H

#include "msgsender.h"


/**
 * @author Michael Schuerig
 */
class SenderFactory : public MsgSender::Factory {
public:
    SenderFactory();
    ~SenderFactory();
    
    MsgSender* newSender( MsgSenderContainer& container,
                          const QString& phoneNumber );
    MsgSender* newMyselfSender( MsgSenderContainer& container );

private:
    SenderFactory( const SenderFactory& ); // not implemented
    SenderFactory& operator=( const SenderFactory& ); // not implemented
};


#endif
